Qore::StatInfo Struct Reference

file status information hash as returned from hstat(), hlstat(), Dir::hstat(), FileLineIterator::hstat(), ReadOnlyFile::hstat(), and ReadOnlyFile::hlstat() More...

## Public Attributes

date | atime
| last access time of the file
int | blksize
| block size; may be zero if the platform's internal stat() (2) function does not provide this info
int | blocks
| blocks allocated for the file; may be zero if the platform's internal stat() (2) function does not provide this info
date | ctime
| last change time of the file's inode
int | dev
| device inode number the file is on
int | gid
| group ID of the owner
int | inode
| inode of the file
int | mode
| inode protection mode
date | mtime
| last modified time of the file
int | nlink
| number of hard links to this file
string | perm
| a string giving UNIX-style permissions for the file (ex: `"-rwxr-xr-x"`)
int | rdev
| device type number
int | size
| file size in bytes
string | type
| a string giving the file type; one of: - `"BLOCK-DEVICE"` - `"DIRECTORY"` - `"CHARACTER-DEVICE"` - `"FIFO"` - `"SYMBOLIC-LINK"` - `"SOCKET"` - `"REGULAR"` - `"UNKNOWN"`
int | uid
| user ID of the owner

## Detailed Description

file status information hash as returned from hstat(), hlstat(), Dir::hstat(), FileLineIterator::hstat(), ReadOnlyFile::hstat(), and ReadOnlyFile::hlstat()

Since
  Qore 0.8.13